#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/extensions/HelperMacros.h>
#include "../couche.h"


class NeuroneTest : public CppUnit::TestFixture  {
      CPPUNIT_TEST_SUITE( NeuroneTest );
      CPPUNIT_TEST( testInit );   // on enregistre les tests à faire dans l ordre
      CPPUNIT_TEST( testNextNeurone );
      CPPUNIT_TEST( testSetWeight );
      CPPUNIT_TEST( testActive );
      CPPUNIT_TEST( testOperotorAssign );
      CPPUNIT_TEST_SUITE_END();
private:
    Neurone* Neur1;// un evenement a tester
    Neurone* Neur2;// un deuxieme evenement a tester
public:
    void setUp();
    void tearDown();
    void testInit();
    void testNextNeurone();
    void testSetWeight();
    void testOperotorAssign();
    void testActive();
};
